/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import java.lang.reflect.Method;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class ObjectMethod {

    public final static Method ToString;
    public final static Method HashCode;
    public final static Method Equals;

    static {
        try {
            Class ejbObjectClass = Object.class;
            ToString = ejbObjectClass.getMethod("toString", null);
            HashCode = ejbObjectClass.getMethod("hashCode", null);
            Equals = ejbObjectClass.getMethod("equals", new Class[]{Object.class});
        }
        catch(Exception e) {
            e.printStackTrace();
            throw new RuntimeException(e.getMessage());
        }
    };
    public static void main(String[] args) {

    }
}
